# Componere\Patch::__construct

(Componere 2 >= 2.1.0)

Componere\Patch::__construct — Patch Construction

### Description

public Componere\Patch::__construct ( object `$instance` )
public Componere\Patch::__construct ( object `$instance` , array `$interfaces` )

### Parameters

`instance`

  The target for this Patch

`interfaces`

  A case insensitive array of class names

### Exceptions

Warning

Shall throw RuntimeException if a class in `interfaces` cannot be found

Warning

Shall throw RuntimeException if an class in `interfaces` is not an interface